Opened 11 years ago

Closed 11 years ago

#3522 closed enhancement (fixed)

[with spkgs, positive review] New experimental mayavi2 spkg based on vtk_5.2 for linux

Reported by: jsp Owned by: mabshoff
Priority: minor Milestone: sage-3.1
Component: packages: experimental Keywords: editor_mabshoff
Cc: Merged in:
Authors: Reviewers:
Report Upstream: Work issues:
Branch: Commit:
Dependencies: Stopgaps:

Description

There were problems building mayavi2 experimental spkg on Fedora 9 and other
new Linuxes:
1) vtk-5.0.4 does not build with tcl/tk-8.5.1
2) vtk-5.0.4 will not build with gcc-4.3

Both problems are solved with vtk-5.2 from svn.

I checked out mayavi_2.2.0 and it worked for me on Fedora 8 and Fedora 9:

http://sage.math.washington.edu/home/jsp/mayavi_2.2.0.spkg

Depends on:

http://sage.math.washington.edu/home/jsp/vtk-5.2.spkg

(and experimental spkgs cmake-2.4.8 and wxPython-2.8.7.1)

Change History (3)

comment:1 Changed 11 years ago by mabshoff

  • Keywords editor_mabshoff added

comment:2 Changed 11 years ago by mabshoff

  • Milestone changed from sage-3.1.1 to sage-3.1
  • Summary changed from [with spkgs, needs review] New experimental mayavi2 spkg based on vtk_5.2 for linux to [with spkgs, positive review] New experimental mayavi2 spkg based on vtk_5.2 for linux

Jaap,

both spkgs looks good to me. I checked in the relevant files into the repos. One thing I noticed was that both archives contain the full svn history, but after the disaster last time around I left them there. Sorry that it took so long.

Cheers,

Michael

comment:3 Changed 11 years ago by mabshoff

  • Resolution set to fixed
  • Status changed from new to closed

Merged into the experimental package repo in Sage 3.1.alpha1

Note: See TracTickets for help on using tickets.